%define version 2.0.0
%define subv	beta5
%define release %mkrel 2.%subv.6

%define major 0
%define libname %mklibname gaim %major

%define build_evolution 1
%if %{mdkversion} < 1010
	%define build_evolution 0
	%define __libtoolize /bin/true
%endif

%define build_silc 0
%if %{mdkversion} >= 1020
	%define build_silc 1
%endif

%define build_dbus 1
%if %{mdkversion} < 200610
	%define build_dbus 0
%endif

%define build_meanwhile 1
%if %{mdkversion} < 200610
	%define build_meanwhile 0
%endif

%define build_mono 1
%define build_vv 0

%{?_without_evolution: %{expand: %%global build_evolution 0}}
%{?_with_evolution: %{expand: %%global build_evolution 1}}

%{?_without_silc: %{expand: %%global build_silc 0}}
%{?_with_silc: %{expand: %%global build_silc 1}}

%{?_without_dbus: %{expand: %%global build_dbus 0}}
%{?_with_dbus: %{expand: %%global build_dbus 1}}

%{?_without_meanwhile: %{expand: %%global build_meanwhile 0}}
%{?_with_meanwhile: %{expand: %%global build_meanwhile 1}}

%{?_without_mono: %{expand: %%global build_mono 0}}
%{?_with_mono: %{expand: %%global build_mono 1}}

%{?_without_vv: %{expand: %%global build_vv 0}}
%{?_with_vv: %{expand: %%global build_vv 1}}

%define perl_version %(rpm -q --qf '%%{epoch}:%%{VERSION}' perl)
%define epoch 1

Summary: 	A GTK+ based multiprotocol instant messaging client
Name: 		gaim
Version: 	%{version}
Release: 	%{release}
Epoch:		%{epoch}
Group: 		Networking/Instant messaging
License: 	GPL
URL: 		http://gaim.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	%{name}-%{version}%subv.tar.bz2
Source1: 	%{name}-%{version}%subv.tar.bz2.asc
Source2:	gaim-qq.theme.bz2
Patch0:		gaim-2.0.0beta2-smiley.patch
#gw these patches were copied from the Fedora package
#gw include the gnthistory plugin in the gtk UI
Patch102: gaim-2.0.0beta5-debian-02_gnthistory-in-gtk.patch
#gw get the right GStreamer audio sink from GConf
Patch103: gaim-2.0.0beta5-debian-03_gconf-gstreamer.patch
#gw fix memleak 
Patch104: gaim-2.0.0beta5-debian-04_blist-memleak.patch
#gw fix Jabber URL handler 
Patch105: gaim-2.0.0beta5-debian-05_url-handler-xmpp.patch
#gw fix Jabber registration
Patch106: gaim-2.0.0beta5-debian-06_jabber-registration-srv.patch
#gw fix crash in MSN protocol with custom smiley
Patch107: gaim-2.0.0beta5-debian-07_msn-custom-smiley-crash.patch
#gw fix crash in Jabber info box
Patch108: gaim-2.0.0beta5-debian-08_jabber-info-crash.patch
#gw fix arrow keys in text mode
Patch110: gaim-2.0.0beta5-debian-10_text-arrow-keys.patch
#gw fix reading resolv.conf in NetworkManager integration
Patch111: gaim-2.0.0beta5-debian-11_reread-resolvconf.patch
#gw fix GStreamer usage
Patch112: gaim-2.0.0beta5-debian-12_gstreamer-cleanup.patch
#gw fix Silc crash
Patch150: gaim-2.0.0beta5-silc-edit-account-crash.patch
#gw fix empty file name in save dialog
Patch152: gaim-2.0.0beta5-gtk-filename-blanked.patch
#gw fix SASL crash
Patch153: gaim-2.0.0beta5-cyrus-sasl-crash.patch
BuildRequires:	automake1.9 intltool
BuildRequires:	autoconf2.5
BuildRequires:	gtk+2-devel
Buildrequires:	gtkspell-devel >= 2.0.2
Buildrequires:	sqlite3-devel
Buildrequires:	libncurses-devel
#gw not really needed as gaim has its own libgadu included
#Buildrequires:	libgadu-devel
#gw we have networkmanager only in contribs:
#Buildrequires:	libnetworkmanager-glib-devel
BuildRequires:	libxscrnsaver-devel
BuildRequires:  libgstreamer0.10-devel
BuildRequires:	perl-devel
BuildRequires:	tk tk-devel tcl tcl-devel
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	ImageMagick
BuildRequires:	libnss-devel
BuildRequires:	libnspr-devel
BuildRequires:	krb5-devel
BuildRequires:	libjack-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	gettext-devel
BuildRequires:	libexpat-devel
BuildRequires:	howl-devel
BuildRequires:	avahi-glib-devel avahi-client-devel
BuildRequires:	doxygen
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
%if %build_meanwhile
BuildRequires:	meanwhile-devel >= 1.0.0
%else
BuildConflicts:	meanwhile-devel
%endif
%if %build_evolution
BuildRequires:	evolution-data-server-devel
%endif
%if %build_silc
BuildRequires:	silc-toolkit-devel >= 0.9.12
%else
BuildConflicts:	silc-toolkit-devel
%endif
%if %build_dbus
BuildRequires:	dbus-devel >= 0.50
%endif
%if %build_mono
BuildRequires:	mono-devel
%endif
%if %build_vv
BuildRequires:  libortp-devel >= 0.8.1
BuildRequires:	speex-devel
%endif
Obsoletes:	hackgaim <= 0.60
Provides:	hackgaim <= 0.60


%description
Gaim allows you to talk to anyone using a variety of messaging  
protocols, including AIM (Oscar and TOC), ICQ, IRC, Yahoo!,
MSN Messenger, Jabber, Gadu-Gadu, Napster, and Zephyr.  These
protocols are implemented using a modular, easy to use design.  
To use a protocol, just load the plugin for it.

Gaim supports many common features of other clients, as well as many
unique features, such as perl scripting and C plugins.

Gaim is NOT affiliated with or endorsed by AOL.

%package	perl
Summary:	Gaim extension, to use perl scripting
Group: 		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}

%description	perl
Gaim can use perl script as plugin, this plugin enable them.

%package	tcl
Summary:	Gaim extension, to use tcl scripting
Group: 		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}

%description	tcl
Gaim can use tcl script as plugin, this plugin enable them.

%package	gevolution
Summary:	Gaim extension, for Evolution integration
Group:          Networking/Instant messaging
Requires:       %{name} = %{epoch}:%{version}

%description	gevolution
This gaim plugin allows you to have gaim working together with evolution.

%package	silc
Summary:	Gaim extension, to use SILC (Secure Internet Live Conferencing)
Group: 		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}

%description silc
This gaim plugin allows you to use SILC (Secure Internet Live Conferencing)
plugin for live video conference.

%package -n %libname
Summary:	Shared libs for %name
Group: 		System/Libraries

%description -n %libname
This is the shared library for %name that contains functions needed by %name.


%package -n	%libname-devel
Summary:	Development files for gaim
Group: 		Development/GNOME and GTK+
Requires:	%{libname} = %{epoch}:%{version}
Provides:	libgaim-devel = %{epoch}:%{version}-%release
Provides:	gaim-devel = %{epoch}:%{version}-%release
Obsoletes:	gaim-devel

%description -n %libname-devel
This package contains development files needed for developing or
compiling gaim plugins.

%package	bonjour
Summary:	Bonjour plugin for Gaim
Group:		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}

%description bonjour
Bonjour plugin for Gaim

%package	meanwhile
Summary:	Lotus Sametime Community Client plugin for Gaim
Group:		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}

%description meanwhile
Lotus Sametime Community Client plugin for Gaim

%package	client
Summary:	PLugin and sample client to control gaim
Group: 		Networking/Instant messaging
Requires:	%{name} >= %{epoch}:%{version}-%{release}
Requires:	dbus-python
Obsoletes:	libgaim-remote0
Provides:	libgaim-remote0

%description	client
Applications and library to control GAIM remotely.

%package	client-devel
Summary:	Development files for gaim-client
Group:		Development/GNOME and GTK+
Requires:	%{name}-client = %{epoch}:%{version}

%description	client-devel
This package contains development files needed for developing or
compiling applications that need gaim remote control functions.

%package mono
Summary:        Gaim extension, to use Mono plugins
Group:		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}

%description	mono
Gaim can use plugins developed with Mono.


%prep
%setup -q -n %{name}-%{version}%{subv}
cd gtk
%patch0 -p1 -b .smiley
cd ..
%patch102 -p0
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1

%patch150 -p1
%patch152 -p1
%patch153 -p1

aclocal-1.9
automake-1.9
autoconf

%build
# (Abel) 0.72-3mdk Somehow it won't connect to servers if gaim is
#                  linked against gnutls
%configure2_5x \
	--enable-gnutls=no \
	--with-perl-lib=vendor \
%if %build_dbus
	--enable-dbus \
%else
	--disable-dbus \
%endif
%if %build_mono
	--enable-mono \
%else
	--disable-mono \
%endif
%if ! %build_evolution
	--disable-gevolution \
%endif
%if %build_vv
	--enable-vv \
%else
	--disable-vv \
%endif
	--without-krb4
#gw parallel build doesn't work with the mono plugin
make

%install
rm -rf %{buildroot}
%makeinstall_std mkinstalldirs='mkdir -p'

#icons
install -d -m 755 %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       gtk/pixmaps/gaim.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 gtk/pixmaps/gaim.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 gtk/pixmaps/gaim.png %{buildroot}%{_miconsdir}/%{name}.png

# Menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name}  <<EOF
?package(%{name}): \
 command="soundwrapper %{_bindir}/%{name}" \
 needs="X11" \
 icon="%{name}.png" \
 section="Internet/Instant Messaging" \
 title="Gaim" \
 longtitle="Multi-protocol Instant Messaging Client" \
 startup_notify="true" \
 xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Network" \
  --add-category="InstantMessaging" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# append QQ theme entry into default theme
bzip2 -dc %{SOURCE2} >> %{buildroot}%{_datadir}/pixmaps/gaim/smileys/default/theme

# remove files not bundled
rm -f %{buildroot}%{_libdir}/%{name}/*.la \
      %{buildroot}%{_libdir}/%{name}/*.a


%find_lang %{name}

%post
%update_menus
%post_install_gconf_schemas gaim

%preun
%preun_uninstall_gconf_schemas gaim

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%if %build_dbus
%post client -p /sbin/ldconfig
%postun client -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/FAQ doc/*.txt
%doc AUTHORS ChangeLog COPYING NEWS README 
%_sysconfdir/gconf/schemas/gaim.schemas
#gw TODO: split this to a separate package
%{_bindir}/gaim-text
%{_bindir}/gaim
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/sounds/%{name}
%dir %{_libdir}/%{name}/ 
%dir %_libdir/%name/private/
%_libdir/%name/cap.so
%_libdir/%name/extplacement.so
%_libdir/%name/gaimrc.so
%_libdir/%name/gestures.so
%_libdir/%name/gntgf.so
%_libdir/%name/gnthistory.so
%_libdir/%name/gntlastlog.so
%_libdir/%name/history.so
%_libdir/%name/iconaway.so
%_libdir/%name/idle.so
%_libdir/%name/libbonjour.so
%_libdir/%name/libgg.so
%_libdir/%name/libirc.so
%_libdir/%name/libjabber.so
%_libdir/%name/libmsn.so
%_libdir/%name/libnovell.so
%_libdir/%name/liboscar.so
%_libdir/%name/libqq.so
%_libdir/%name/libsimple.so
%_libdir/%name/libyahoo.so
%_libdir/%name/libzephyr.so
%_libdir/%name/log_reader.so
%_libdir/%name/musicmessaging.so
%_libdir/%name/notify.so
%_libdir/%name/psychic.so
%_libdir/%name/relnot.so
%_libdir/%name/s.so
%_libdir/%name/spellchk.so
%_libdir/%name/ssl-gnutls.so
%_libdir/%name/ssl-nss.so
%_libdir/%name/ssl.so
%_libdir/%name/statenotify.so
%_libdir/%name/ticker.so
%_libdir/%name/timestamp.so
%_libdir/%name/timestamp_format.so
%{_mandir}/*/*
%{_menudir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %libname
%defattr(-,root,root)
%_libdir/libgnt.so.%{major}*
%_libdir/libgaim.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%doc PROGRAMMING_NOTES HACKING doc/[[:lower:]]*.dox
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/gaim.m4
%{_includedir}/gaim
%{_includedir}/gnt/
%_libdir/libgaim.so
%_libdir/libgaim.la
%_libdir/libgnt.so
%_libdir/libgnt.la


%files perl
%defattr(-,root,root)
%doc doc/PERL-HOWTO.dox
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/Gaim/
%{perl_vendorarch}/auto/Gaim/
%{_libdir}/%{name}/perl.so
%_libdir/%name/private/libgaimperl*

%files tcl
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{name}/tcl.so

%if %build_silc
%files silc
%defattr(-,root,root)
%doc libgaim/protocols/silc/README
%{_libdir}/%{name}/libsilcgaim.so
%endif

%if %build_evolution
%files gevolution
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{name}/gevolution.so
%endif

%if %build_meanwhile
%files meanwhile
%defattr(-,root,root)
%{_libdir}/%{name}/libsametime.so
%endif

%if %build_dbus
%files client
%defattr(-,root,root)
%doc COPYRIGHT
%{_bindir}/gaim-remote
%{_bindir}/gaim-send
%{_bindir}/gaim-send-async
%{_bindir}/gaim-client-example
%{_bindir}/gaim-url-handler
%attr(644,root,root) %{_libdir}/libgaim-client.la
%{_libdir}/libgaim-client.so.0*
%{_datadir}/dbus-1/services/gaim.service
%{_libdir}/gaim/dbus-example.so

%files client-devel
%defattr(-,root,root)
%{_libdir}/libgaim-client.so
%endif

%if %build_mono
%files mono
%defattr(-,root,root)
%doc COPYING
%{_libdir}/%{name}/mono.so
%{_libdir}/%{name}/*.dll
%endif

%clean
rm -rf %{buildroot}


%changelog
* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 2.0.0-2.beta5.6mdv2007.0
+ Revision: 107128
- port a few bug fixes from Fedora

* Fri Dec 01 2006 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-2.beta5.5mdv2007.1
+ Revision: 89504
- Drop the threads patch, it is now initialized correctly, and initializing it twice now aborts

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.4mdv2007.1
+ Revision: 88289
- bot rebuild
- fix buildrequires
- rebuild

* Sat Nov 11 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta5.1mdv2007.0
+ Revision: 81050
- new version
- readd source signature
- update file list

* Fri Oct 20 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta4.2mdv2007.1
+ Revision: 71560
- readd dbus thread fix

* Thu Oct 19 2006 Götz Waschk <waschk@mandriva.org> 1:2.0.0-2.beta4.1mdv2007.1
+ Revision: 71292
- Import gaim



* Thu Oct 19 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-2.beta4.1mdv2007.1
- fix buildrequires
- drop patch 1
- unpack patch
- new version

* Tue Aug 22 2006 Pascal Terjan <pterjan@mandriva.com> 1:2.0.0-2.beta3.1.1mdv2007.0
- Beta 3.1...

* Mon Aug 14 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1.beta3.12mdv2007.0
- fix buildrequires

* Sat Aug 12 2006 Pascal Terjan <pterjan@mandriva.com> 1:2.0.0-1.beta3.11mdv2007.0
- Initialize threads as gnomevfs now uses dbus (P1)

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1:2.0.0-1.beta3.9mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 2.0.0-1.beta3.8mdv2007.0
- rebuild for new e-d-s

* Sat Jul 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1:2.0.0-0.beta3.7mdv2007.0
- XDG menu

* Mon May  1 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.6mdk
- rebuild

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.5mdk
- build the mono package

* Thu Apr 13 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.4mdk
- add mono package

* Wed Apr 12 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.3mdk
- rebuild for new e-d-s

* Thu Mar 30 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.2mdk
- fix buildrequires

* Wed Mar 29 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta3.1mdk
- drop patch 1
- new version

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.3mdk
- patch for new libortp, but disable vv

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.2mdk
- rebuild for new dbus

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-0.beta2.1mdk
- update patch 0
- fix buildrequires
- new version

* Mon Jan 02 2006 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.5mdk
- fix dbus-example.so belonging to 2 subpackages

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1:2.0.0-0.beta1.4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sat Dec 24 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.3mdk
- fix missing %%
- don't build dbus and meanwhile on <= 2006.0
- BuildRequires doxygen for documentation (thanx misc for the reports)

* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.2mdk
- Change libgaimremote to libgaim-client
- Buildconflicts with stuff we can't disable in configure

* Sun Dec 18 2005 Pascal Terjan <pterjan@mandriva.org> 1:2.0.0-0.beta1.1mdk
- 2.0.0 beta 1
- Drop patch1
- Drop patch2 (nas support no longer exists)
- Add Bonjour subpackage
- meanwhile is now included

* Sat Oct 08 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.5.0-5mdk
- Rebuild for new evolution-data-server

* Thu Sep 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5.0-4mdk
- add BuildRequires: gettext-devel

* Wed Aug 31 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5.0-3mdk
- fix build with nas support

* Fri Aug 12 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.0-2mdk
- use %%mkrel

* Fri Aug 12 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.5.0-1mdk
- 1.5.0

* Fri Jul 08 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.4.0-1mdk
- 1.4.0

* Mon Jul 04 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.1-3mdk
- Don't duplicate libsilcgaim.so in main package and -silc

* Fri Jun 17 2005 Andreas Hasenack <andreas@mandriva.com> 1:1.3.1-2mdk
- rebuilt without krb4 support

* Sat Jun 11 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.1-1mdk
- 1.3.1

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.3.0-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Fri May 20 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.3.0-2mdk
- Rebuild for new libperl.so

* Wed May 11 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.3.0-1mdk
- 1.3.0 (fix CAN-2005-1261 and CAN-2005-1262)
 
* Mon May 02 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-4mdk
- Rebuild for new silc

* Fri Apr 22 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-3mdk
- Fix for gcc4

* Thu Apr 21 2005 Pascal Terjan <pterjan@mandriva.org> 1:1.2.1-2mdk
- Rebuild for new evolution-data-server

* Fri Apr 15 2005 Pascal Terjan <pterjan@mandrake.org> 1:1.2.1-1mdk
- New release 1.2.1

* Mon Mar 21 2005 Pascal Terjan <pterjan@mandrake.org> 1:1.1.4-3mdk
- Get a release number greater than the one from updates
- Requires on release

* Tue Mar 01 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.4-2mdk
- Fix rebuilding on <= 10.0

* Sun Feb 27 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.4-1mdk
- New release 1.1.4

* Sat Feb 26 2005 Abel Cheung <deaddog@mandrake.org> 1.1.3-2mdk
- Append QQ theme to default theme

* Sat Feb 19 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.3-1mdk
- New release 1.1.3

* Sat Feb 19 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.2-2mdk
- Rebuild

* Fri Jan 21 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.2-1mdk
- 1.1.2

* Tue Dec 28 2004 Pascal Terjan <pterjan@mandrake.org> 1.1.1-1mdk
- 1.1.1

* Sun Dec 05 2004 Pascal Terjan <pterjan@mandrake.org> 1.1.0-1mdk
- 1.1.0

* Mon Nov 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.3-2mdk
- rebuild for new perl

* Fri Nov 12 2004 Pascal Terjan <pterjan@mandrakesoft.com> 1.0.3-1mdk
- New release 1.0.3

* Tue Oct 26 2004 Abel Cheung <deaddog@mandrake.org> 1.0.2-2mdk
- Adds SILC support
- Use UTF-8 for spec file
- Remove patch1; festival plugin splitted from gaim, to simplify build
- Re-enable kerberos for zephyr
- Corrected devel package requirement
- Reorganize docs

* Wed Oct 20 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.2-1mdk
- New release 1.0.2

* Mon Sep 13 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.82.1-2mdk
- add BuildRequires: libnss-devel libnspr-devel (for MSN support)

* Sun Aug 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.82.1-1mdk
- 0.82.1

* Thu Aug 26 2004 Pascal Terjan <pterjan@mandrake.org> 0.82-1mdk
- 0.82

* Thu Aug 26 2004 Pascal Terjan <pterjan@mandrake.org> 0.81-3mdk
- security fix

* Fri Aug 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.81-2mdk
- Rebuild with new menu

* Sun Jul 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.81-1mdk
- 0.81

* Sun Jul 18 2004 Pascal Terjan <pterjan@mandrake.org> 0.80-1mdk
- 0.80
- updated patch0

* Sat Jul 17 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-4mdk
- rebuild for new evolution data server

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.79-3mdk
- fix buildrequires

* Mon Jun 28 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-2mdk
- put .h for gaim in gaim-devel, not libgaimremote-devel

* Mon Jun 28 2004 Pascal Terjan <pterjan@mandrake.org> 0.79-1mdk
- 0.79
- move gaim-encryption to a separate package
- add a -devel package
- gaim-festival 0.78

* Thu Jun 10 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-4mdk
- Rebuild for evolution-data-server

* Thu Jun 03 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-3mdk
- Allow rebuilding on stable version

* Mon May 31 2004 Abel Cheung <deaddog@deaddog.org> 0.78-2mdk
- More epoch fixes
- Enable and split tcl plugin
- Drop source100, use ImageMagick to convert icons
- Don't remove locale, en_CA is valid!
- Update festival plugin

* Mon May 31 2004 Pascal Terjan <pterjan@mandrake.org> 0.78-1mdk
- gaim-encryption 2.26
- stop removing libtoolize
- fix invalid-lc-messages-dir (en_CA)
- 0.78

* Fri Apr 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.77-2mdk
- gaim-encryption 2.25 to fix plugin loading due to API mismatch
- gaim festival 0.77 (Does not fix API mismatch :( )

* Fri Apr 23 2004 Pascal Terjan <pterjan@mandrake.org> 0.77-1mdk
- 0.77
- move gevolution plugin into a separate package

* Sat Apr 03 2004 Pascal Terjan <pterjan@mandrake.org> 0.76-1mdk 
- 0.76
- drop Patch2

* Wed Feb 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-5mdk
- add missing Epoch in libgaim-remote0-devel Require

* Tue Feb 24 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-4mdk
- use epoch in subpackages Requires 

* Tue Jan 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-3mdk
- Update patch0 to remove :/ as this smiley appears in urls

* Tue Jan 27 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-2mdk
- Security fix

* Sun Jan 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.75-1mdk
- 0.75
- gaim-encryption 2.19
- Drop patch2
- Update patch0

* Sun Dec 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.74-2mdk
- Apply patch to fix a memory leak

* Wed Nov 26 2003 Laurent Culioli <laurent@pschit.net> 0.74-1mdk
- 0.74

* Tue Nov 25 2003 Laurent Culioli <laurent@pschit.net> 0.73-2mdk
- *oups* reenable nss 

* Tue Nov 25 2003 Laurent Culioli <laurent@pschit.net> 0.73-1mdk
- gaim 0.73
- gaim-encryption 2.18
- Michael Scherer <misc@mandrake.org>
	o split package in gaim-perl, gaim-festival, and gaim-encrypt
	o move licq2gaim to doc, to not depend on perl

* Sun Nov 16 2003 Abel Cheung <deaddog@deaddog.org> 0.72-3mdk
- gaim-encryption 2.17
- Remove patch1, gaim don't want any version of tcl other than 8.3,
  otherwise segfault
- Use shorter longtitle from .desktop file, it isn't nice to be too long
- Update and fix buildrequires (for 64bit)
- Patch0: Eliminate ':/' from smiley patch, otherwise it was interpreting
  :/ in URL as smiley (such as http://)
- Add festival plugin
- New Patch1: Use Mandrake provided CFLAGS instead of hardcoded one in
  festival plugin
- Get back Gwenole's changelog entry ( with some modification :-( )

* Tue Nov 11 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.72-2mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- fix compile against tcl 8.4(P2)
- cleanups

* Wed Nov 05 2003 Laurent Culioli <laurent@pschit.net> 0.72-1mdk
- gaim 0.72
- gaim-encryption 2.16

* Thu Oct 16 2003 Laurent Culioli <laurent@pschit.net> 0.71-1mdk
- gaim 0.71 
- gaim-encryption 2.15
- regenerate smiley patch

* Tue Oct 14 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.68-2mdk
- 64-bit & deps fixes
- nuke unpackaged files

* Wed Sep 03 2003 Laurent Culioli <laurent@pschit.net> 0.68-1mdk
- fix encryption compilation
- add some perl files
- gaim 0.68
- gaim-encryption 2.10

* Tue Aug 26 2003 Laurent Culioli <laurent@pschit.net> 0.67-2mdk
- gaim-encrypt is back ! ( 2.08 )

* Mon Aug 25 2003 Laurent Culioli <laurent@pschit.net> 0.67-1mdk
- 0.67
- drop preference segfault patch
- drop encrypt patch ( gaim-encrypt is now a separate package )

* Sun Aug 10 2003 Laurent Culioli <laurent@pschit.net> 0.66-2mdk
  -Abel Cheung <maddog@linux.org.hk> 
    o Patch3: Encrypt plugin was not linking with libnss3

* Wed Aug  6 2003 Austin Acton <aacton@yorku.ca> 0.66-1mdk
- from Abel Cheung <maddog@linux.org.hk> :
  - 0.66, rebuilt against perl 5.8.1
  - encryption patch 2.02
  - Revert encryption patch to vanilla source form, so patches
    can be more easily inspected
  - Patch2: patch that comes from encryption support against gaim,
    modified to detect nss/nspr headers properly
  - Patch1: avoid segfault when converting preference to new style one
  - enable nas support
  - BuildRequires
  - Split gaim-remote libraries/devel files as sub-package

* Tue Jul 29 2003 Pixel <pixel@mandrakesoft.com> 0.64-3mdk
- when requiring the perl-base used for building, include the epoch

* Thu Jul 17 2003 David BAUDENS <baudens@mandrakesoft.com> 0.64-2mdk
- Rebuild

* Mon Jun 16 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.64-1mdk
- 0.64.
- remove autoadd hack.
- encrypt 1.20.

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.62-2mdk
- remove disable-screensaver ( David Walser )
- change the buttons behavior in gaim-encrypt patch ( David Walser )

* Fri May 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.62-1mdk
- from Raymond Rubicam <raymond_rubicam@redlands.edu> : 
	- Updated to gaim 0.62 source.

* Sun Apr 22 2003 Laurent Culioli <laurent@pschit.net> 0.61-2mdk
- Buildrequires

* Mon Apr 14 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.61-1mdk
- 0.61.
- fix smiley patch. (#3737)

* Mon Apr 07 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.60-3mdk
- re-include old patch (smiley,autoadd,encrypt).
- update gaim-encrypt to 1.17.

* Sun Apr 06 2003 Laurent Culioli <laurent@pschit.net> 0.60-2mdk
- Obsoletes hackgaim <= 0.60

* Sun Apr 06 2003 Laurent Culioli <laurent@pschit.net> 0.60-1mdk
- 0.60
- merge with David Walluck specfile 
- clean specfile
- drop gaim-applet subpackage

* Wed Apr 02 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.59.9-1mdk
- update to 0.59.9.
- Add encrypt plugin support. (http://gaim-encryption.sourceforge.net)

* Mon Jan 20 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.59.8-2mdk
- fix autoadd plugin (segfault when you send message :( )

* Tue Jan 14 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.59.8-1mdk
- Bump to version 0.59.8 (fix yahoo connection).

* Sun Dec 29 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.6-1mdk
- update to 0.59.7

* Tue Nov 12 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.6-1mdk
- update to 0.59.6

* Tue Oct 17 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.5-1mdk
- update to 0.59.5

* Mon Oct 07 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.4-1mdk
- update to 0.59.4

* Thu Sep 26 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.3-1mdk
- update to 0.59.3

* Tue Sep 10 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.2-1mdk
- update to 0.59.2

* Sat Sep  7 2002 Pixel <pixel@mandrakesoft.com> 0.59.1-2mdk
- rebuild (to have a release greater than 8.2 update)

* Tue Aug 27 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.59.1-1mdk
- 0.59.1 (aka security fix)
- remove P3 (fixed upstream)

* Sun Aug 11 2002 Pixel <pixel@mandrakesoft.com> 0.59-7mdk
- patch to fix segfault with perl thread-multi (by Timothy Lee, thanks to David Walser)

* Fri Aug  9 2002 Pixel <pixel@mandrakesoft.com> 0.59-6mdk
- disable perl extensions (if someone knows better, please help)

* Tue Aug  6 2002 Pixel <pixel@mandrakesoft.com> 0.59-5mdk
- fix build and rebuild for perl thread-multi

* Mon Jul 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.59-4mdk
- Rebuild without Arts.
- Enable soundwrapper.

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.59-3mdk
- rebuild for perl 5.8.0

* Sun Jun 30 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.59-2mdk
- Arts is back.

* Fri Jun 28 2002 Yves Duret <yduret@mandrakesoft.com> 0.59-1mdk
- new upstream release 0.59.

* Thu May 23 2002 Yves Duret <yduret@mandrakesoft.com> 0.58-1mdk
- version 0.58
- fix specfile (two changelog ???).
- patch configure.ac to no more -I/usr/local/include
- temporaly disable applet cause build broken (not ported yet to GNOME2) with a condif build %%applet.
- rewrite menu longdescription.
- macros were ceated to be used.
- png icons.
- one buildrequires per line.

* Wed Mar 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.54-3mdk
- Group fix for applet.

* Wed Mar 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.54-2mdk
- Merge in changes from Bryan (see below).
- Note that the smiley patch was never removed.
- Fixups to the gnome applet filelist.
- New and shiny 0.54.

* Fri Feb  1 2002 Adrien Demarez <ademarez@mandrakesoft.com> 0.51-1mdk
- Updated gaim

* Mon Jan  7 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.50-3mdk
- Add autoadd module.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-2mdk
- Oops. Really apply the smiley patch.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-1mdk
- Upped to 0.50.
- Add chmou patch with modifications for smileys.

* Tue Dec  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.49-2mdk
- Add licq2gaim script also.

* Fri Nov 30 2001 Sylvestre Taburet <staburet@mandrakesoft.com> 0.49-1mdk
- upped to 0.49

* Wed Nov 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.48-2mdk
- Make Chmou happy by replacing an ugly define with a cleaner one (thx chmou).

* Sat Nov 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.48-1mdk
- 0.48 hot from the oven.

* Sun Nov 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.47-1mdk
- The new and shiny 0.47.

* Sat Oct 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.46-1mdk
- Presenting the all-new 0.46.
- Use Epoch to please Lord Rpmlint.

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.44-2mdk
- BuildRequires: perl-devel
- Remove redundant BuildRequires

* Fri Sep 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.44-1mdk
- Presenting the newest gaim 0.44.
- Fix file list: There is no such file called PROTOCOL.

* Tue Sep 11 2001 Vincent Saugey <vince@mandrakesoft.com> 0.43-1mdk
- New version

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11.0-0.pre14.1mdk
- pre14.

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.11.0-0.pre11.2mdk
- add require the perl-base used for building (the libperl.so
  auto-require is not enough)

* Fri May 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.11.0-0.pre11.1mdk
- New and shiny source.
- Fix the release number. This would mean that we would have to add a 
  Serial: for the time being :(, but at least this is more sane than before.
- Gaim homepage has now moved over to SourceForge.

* Thu Apr 12 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre7-2mdk
- Adding BuildRequires gettext, gtkdevel (Thanks to Don Head)

* Fri Mar 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre7-1mdk
- Up to new version

* Fri Mar 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-4mdk
- Change group for make fred (crozat) happy.

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.11.0pre4-3mdk
- Fix build on glibc.
- Do not build useless static libs.
- Use macros for make and configure.
- Run autoconf/make tools in prep stage
- Remove COPYING from docs, require common-licenses

* Tue Feb 13 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-2mdk
- Corrected menu section

* Mon Feb 12 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-1mdk
- Up to new version

* Tue Oct 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.3-1mdk
- up to 0.10.3

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.20-5mdk
- menu title should begin with capital letter.
- ICQ section was replaced by Instant messaging.
 
* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-4mdk
- Adding small and large icons

* Tue Aug 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-3mdk
- Change icon for menu

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.20-2mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-1mdk
- up to 0.9.20

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.19-1mdk
- 0.9.19

* Thu Jun  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.18-1mdk
- 0.9.18
- minor fixes in specfile

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.11-3mdk
- add 32*32 icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.11-2mdk
- Don't +x the menu entries.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.9.11-1mdk
- v0.9.11
- Added menu
- fixed group
- spec-helper

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
Build Release

* Tue Nov 02 1999 Lenny Cartier <lenny@mandrakesoft.com>
v0.9.9

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations.
